<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Creación de Categorías</title>
    <!-- Bootstrap core CSS -->
    <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{/bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
  </head>

  <body>

   <!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>

    <main role="main">     
      <hr>
      <div class="container"> 

        <div class="card">
          <h4 class="card-header"><strong>Datos de la categoría</strong></h4>              
          <div class="card-body">
            
            <!-- Recibimos del controlador el objeto Categoria. 
          	     Esto es para vincular errores de BindingResult.
          	     th:object es para vincular el FORM con el objeto de modelo.  
          	-->
            <form th:action="@{/categorias/save}" method="post" th:object="${categoria}">
            
	            <!-- Esto es para mostrar los errores de BindingResult provenientes del controlador. -->
	          	<div th:if = "${#fields.hasErrors('*')}" class="alert alert-danger" role="alert">
	          		Por favor corrija los siguientes errores:
		          	<ul>
		          		<li th:each = "err : ${#fields.errors('*')}" th:text = "${err}"/>
		          	</ul>
	          	</div>
	          	              
              <div class="row">
                <div class="col-md-6"> 
                  <div class="form-group">
                  	
                  	<!-- 
                    	VINCULAMOS Y ENVIAMOS EL ID DE LA CATEGORIA QUE EDITAREMOS. 
                    	SI OMITIMOS EL ID, ENTONCES SE GUARDARA UNA CATEGORIA NUEVA Y NO LA EDITAREMOS.
                    -->
                    <input type="hidden" th:field = "*{id}">
                    
                    <label for="nombre">Nombre</label>
                    <input type="text" class="form-control" th:field="*{nombre}" placeholder="Escriba el nombre de la categoria" required="required">
                  </div>
                </div>                
              </div> 
              <div class="row">
                <div class="col-md-6"> 
                  <div class="form-group">
                    <label for="descripcion">Descripción</label>
                    <textarea class="form-control" th:field="*{descripcion}" rows="2"></textarea>
                  </div> 
                </div>                
              </div> 
              <hr>
              <button type="submit" title="Guardar el registro." class="btn btn-primary">Guardar</button>  
            </form>
          </div>
        </div>
      </div> <!-- /container -->

    </main>

    <!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>     
  </body>
</html>

<!--
<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Formulario de Categorias</title>
</head>
<body>
	<h1>Formulario de Categorias</h1>
	<form th:action="@{/categorias/save}" method="post">
		<label for="name">Nombre:</label><br> <input type="text"
			name="nombre" value=""><br> <label for="descr">Descripcion:</label><br>
		<input type="text" name="descripcion" value=""><br>
		<br> <input type="submit" value="Guardar">
	</form>
</body>
</html>
-->